Bug 1412596 - [RFE] Green confirmation boxes should float rather than affect page content/length
Summary: [RFE] Green confirmation boxes should float rather than affect page content/l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.2.6
Hardware: All
OS: Linux
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Walden Raines
QA Contact: Ales Dujicek
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 12:06 UTC by Ben
Modified: 2019-11-05 23:02 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:17 UTC
Foreman Issue Tracker 17990 None None None 2017-01-13 17:05:08 UTC

Description Ben 2017-01-12 12:06:37 UTC
Description of problem:
When making changes in the GUI (especially in Content -> Activation Keys -> <some key> -> Product Content tab, when something is saved a green box appears at the top of the window showing the change was saved, and then vanishes after a few seconds.  This causes screen content to shift and can lead to mis-clicks.

Version-Release number of selected component (if applicable):
Satellite 6.2.6

How reproducible:
Every time you make changes in the WebUI and save them.

Steps to Reproduce:
1. Navigate to Content -> Activation Keys -> <some key> -> Product Content tab
2. Change "Enabled?" for a repository content set
3. Click "Save"

Actual results:
Green confirmation box appears at the top of the window, shifting content down, then vanishes, shifting content back up again.

Expected results:
It would be _really_nice_ if the confirmation box 'floated' over the top of the page content, such that the page's length wasn't affected.  It could then fade out as per usual.  I suspect it's using the patternfly notification area.

Additional info:
Secondarily, it would be good if multiple updates stacked nicely (they already do!) in this floating manner.  Thank you.

Comment 3 Walden Raines 2017-01-13 16:36:31 UTC
Connecting redmine issue http://projects.theforeman.org/issues/17990 from this bug

Comment 6 pm-sat@redhat.com 2017-09-19 14:13:16 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17990 has been resolved.

Comment 9 Ben 2018-07-26 14:05:49 UTC
Will this make it into 6.3.z, or 6.4, please?

Comment 10 Mike McCune 2018-07-26 14:09:51 UTC
Ben,

this will be included in 6.4

Comment 12 errata-xmlrpc 2018-10-16 15:27:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.